Upon recording a deposit in Ripple Gateway it will be given a status of "pending". A process will then pick up the pending deposit and enqueue it to be sent to the ripple network and ultimately to your user's ripple wallet. You may provide custom business logic for how the deposit is processed.

Examples

# Request
GET /api/v1/deposits

# Response
{
  "deposits": [
    {
      "id": 783835;,
      "amount": 1000;,
      "currency": "MXN",
      "external_account_id": 998,
      "uid": 12344lkjdikek,
      "status": "pending",
      "created_at": "2005-10-30 T 10:45 UTC"
    },
    {
      "id": 383883;,
      "amount": 500;,
      "currency": "ARS",
      "external_account_id": 3777,
      "uid": kdkijij3993f92,
      "status": "pending",
      "created_at": "2007-11-09 T 11:20 UTC"
    }
  ]
}